Create archive

Starts a cloud archive recording for the given camera and time range. The response includes a durable archiveId and a sessionId. Poll GET /v1/archives/org/{orgId}/{archiveId} (preferred) or GET /v1/archives/org/{orgId}/session/{sessionId} until status is COMPLETED or FAILED. When COMPLETED, that GET response includes download URLs in files.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Organization ID

Body Params
string
required

Camera ID

number
required

Recording start time (Unix epoch in milliseconds)

number
required

Recording duration in seconds

string

Archive display name

tags
array of strings

Tags for the archive

tags
boolean
Defaults to false

Blur detected faces

boolean
Defaults to false

Show this archive in the web UI

Responses

400

Invalid parameters.

401

Missing or invalid API key.

403

Organization not allowed by this token.

404

Camera not found.

500

Archive was created but its ID could not be resolved.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json